import * as types from '../../types';

export default {
    [types.GET_CONTACTS]: state => (id) => {
        return state.distributors.find(distributor => distributor.id === id).contacts || [];
    },
    [types.GET_DISTRIBUTORS]: state => {
        return state.distributors;
    },
    [types.GET_DISTRIBUTOR]: state => (id) => {
        return state.distributors.find(distributor => distributor.id === id) || {};
    }
};